var MControlBootVolumeSelector = AMControl.extend({
   
   initialize: function(){
      AMControl.prototype.initialize.call(this);
      // Get current boot volumes.
      var sDeviceID = this.get('sDeviceID');
      //var oSection = GetDeviceSection(sDeviceID, 'STR_CONTROLLER_CONFIGURATION');
      var oDeviceIDSection = GetDeviceIDSection(sDeviceID);
      var sPrimaryBootVolume = "00000000000000000000000000000000";
      var sSecondaryBootVolume = "00000000000000000000000000000000";
      if (IsDefined(oDeviceIDSection) && IsDefined(oDeviceIDSection.BOOT_VOLUME_PRIMARY) && IsDefined(oDeviceIDSection.BOOT_VOLUME_SECONDARY))
      {
         sPrimaryBootVolume = oDeviceIDSection.BOOT_VOLUME_PRIMARY;//GetSectionAttribute(oSection, 'ATTR_NAME_BOOT_VOLUME_PRIMARY');
         sSecondaryBootVolume = oDeviceIDSection.BOOT_VOLUME_SECONDARY;//GetSectionAttribute(oSection, 'ATTR_NAME_BOOT_VOLUME_SECONDARY');
      }
      // Parameters:
      //    1. ATTR_NAME_BOOT_VOLUME_PRECEDENCE
      //       ATTR_VALUE_BOOT_VOLUME_PRECEDENCE_PRIMARY
      //       ATTR_VALUE_BOOT_VOLUME_PRECEDENCE_SECONDARY
      //    2. ATTR_NAME_UNIQUE_ID
      //    3. ATTR_NAME_VOLUME_LOCATION (not needed)
      //       ATTR_VALUE_VOLUME_LOCATION_LOCAL
      //       ATTR_VALUE_VOLUME_LOCATION_REMOTE
      this.set({
         'nNumParams':2,
         'sPrimaryBootVolume':sPrimaryBootVolume,
         'sSecondaryBootVolume':sSecondaryBootVolume
      })
   }
   
});